### Method

# Cogl Framebuffer create_timestamp_query

#### Declaration [src]

    CoglTimestampQuery*
    cogl_framebuffer_create_timestamp_query (
      CoglFramebuffer* framebuffer
    )

#### Description [src]

Creates a query for the GPU timestamp that will complete upon completion of all previously submitted GL commands related to this framebuffer. E.g. when the rendering is finished on this framebuffer.

This function should only be called if the COGL_FEATURE_ID_TIMESTAMP_QUERY feature is advertised.

This method is not directly available to language bindings.

#### Return value

Type: `CoglTimestampQuery`

No description available.

The returned data is owned by the instance.